/****************************************************************************

DESCRIPTION: Version definitions

THIS PROGRAM AND THE INFORMATION CONTAINED HEREIN IS THE PROPERTY OF
ATTO TECHNOLOGY, INC. AND SHALL NOT BE REPRODUCED, COPIED, OR USED IN
WHOLE OR IN PART OTHER THAN AS PROVIDED FOR IN THE LICENSE AGREEMENT
PURSUANT TO WHICH IT WAS FURNISHED.

COPYRIGHT (c) ATTO TECHNOLOGY, INC. 2015-2019
ALL RIGHTS RESERVED.
UNPUBLISHED CONFIDENTIAL INFORMATION OF ATTO TECHNOLOGY, INC.

*****************************************************************************/


#ifndef VERTYPES_H
#define VERTYPES_H


/* Build configuration */

#if defined(ATTO_DEBUG) || defined(HW_DEBUG)
    #define VT_BLD_CFG_STR  "-dbg"
#elif defined(HW_TRACING)
    #define VT_BLD_CFG_STR  "-trc"
#else
    #define VT_BLD_CFG_STR  ""
#endif

#if defined(_MP_)
    #define VT_BLD_MP_STR  "-mp"
#elif defined(DIRECT2GPU)
    #define VT_BLD_MP_STR  "-gpu"
#else
    #define VT_BLD_MP_STR  ""
#endif


#endif /* VERTYPES_H */